> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update App

> Update an app's details.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json patch /api/v1/projects/{project_slug}/apps/{app_slug}
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/projects/{project_slug}/apps/{app_slug}:
    patch:
      tags:
        - Projects
      summary: Update App
      description: Update an app's details.
      operationId: api_projects_router_update_app
      parameters:
        - in: path
          name: project_slug
          schema:
            title: Project Slug
            type: string
          required: true
        - in: path
          name: app_slug
          schema:
            title: App Slug
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    UpdateAppRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        framework:
          anyOf:
            - type: string
            - type: 'null'
          title: Framework
      title: UpdateAppRequest
      type: object
    AppResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        project_id:
          format: uuid
          title: Project Id
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        description:
          title: Description
          type: string
        framework:
          title: Framework
          type: string
        icon:
          title: Icon
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - name
        - slug
        - description
        - framework
        - icon
        - created_at
        - updated_at
      title: AppResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````